/* 93/12/18 aih created */

#include <limits.h>
#include "LongPointLib.h"

void LPointFromPoint(LPointType *lpt, Point pt)
{
	lpt->h = pt.h;
	lpt->v = pt.v;
}

Point LPointToPoint(const LPointType *lpt)
{
	Point pt;
	
	require(SHRT_MIN <= lpt->h && lpt->h <= SHRT_MAX);
	require(SHRT_MIN <= lpt->v && lpt->v <= SHRT_MAX);
	pt.h = lpt->h;
	pt.v = lpt->v;
	return(pt);
}

void LPointOffset(LPointType *lpt, long h, long v)
{
	lpt->h += h;
	lpt->v += v;
}
